#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 25. Graphical Environment Libraries

- Prev

  gtksourceview4-4.8.4

- Next

  imlib2-1.12.3

- Up
- Home

# gtksourceview5-5.14.2

## Introduction to GtkSourceView

The GtkSourceView package contains a library used for extending the GTK text functions to include syntax highlighting.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gtksourceview/5.14/gtksourceview-5.14.2.tar.xz

- Download MD5 sum: 2eaf1b453b3a9bcba89d63994f3e78b1

- Download size: 1.2 MB

- Estimated disk space required: 36 MB

- Estimated build time: 0.2 SBU (with tests; both using parallelism=4)

### GtkSourceView Dependencies

#### Required

GTK-4.16.12 and pcre2-10.45

#### Recommended

GLib-2.82.5 (with GObject Introspection) and libxml2-2.13.6

#### Optional

Gi-DocGen-2025.3, Vala-0.56.17, Valgrind-3.24.0, Vulkan-Loader-1.4.304, and sysprof

## Installation of GtkSourceView

Install GtkSourceView by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr --buildtype=release .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D documentation=true`: Use this switch if you have Gi-DocGen-2025.3 installed and wish to generate the API documentation.

`-D sysprof=true`: Use this switch if you have sysprof installed and wish to build with sysprof profiler support.

## Contents

Installed Programs: None
Installed Libraries: libgtksourceview-5.so
Installed Directories: /usr/include/gtksourceview-5 and /usr/share/gtksourceview-5

### Short Descriptions

`libgtksourceview-5.so` | contains function extensions for the GtkTextView widget

- Prev

  gtksourceview4-4.8.4

- Next

  imlib2-1.12.3

- Up
- Home